[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TAbstractObjectReader.NextValue

Returns the type of the next value in the stream.

## Declaration

Source position: classesh.inc line 1101

`public function TAbstractObjectReader.NextValue: TValueType; virtual; abstract;`

## Description

This function should return the type of the next value in the stream, but should not read the actual value, i.e. the stream position should not be altered by this method. This is used to 'peek' in the stream what value is next.

## See also

TAbstractObjectReader.ReadValue |  | Reads the type of the next value.

Documentation generated on: Feb 26 2014